SplHeap::top
SplMaxHeap
SplHeap
PHP Manual

# SplHeap::valid

(PHP 5 >= 5.3.0)

SplHeap::valid — Check whether the heap contains more nodes

### Description

public bool SplHeap::valid ( void )

Checks if the heap contains any more nodes.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the heap contains any more nodes, `FALSE` otherwise.

SplHeap::top
SplMaxHeap
SplHeap
PHP Manual